Starmade | Advanced Build mouse cursor does not show up when key reassigned to RControl
Closed, FinishedPublic

Description

If I reassign Advanced Build to the RControl key, pressing RControl will cause the advanced build menu to appear, but the mouse cursor stays hidden. The menu is not interact-able at this point, and no amount of moving the mouse will cause any of the Advanced Build menu items to react. Pressing the LControl will cause the window manipulation controls to appear, but still no cursor.

Reassigning Advanced Build back to LControl causes it to begin functioning again.

Details

Commits
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.625
Category
Input/Controls
First occurrence (version)
0.199.535
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
GTX 770
Steps to reproduce
  • Assign Advanced Build to RControl
  • Enter Build mode on a ship.
  • Press RControl
  • Observe Advanced Build menu appearing
  • Observe no mouse cursor appearing
Tester information (Internal use only)

Original cause is not RControl.

Moving the advanced build mode to J for example, works properly.
Pressing RControl while having the Advanced Build mode enabled locks the mouse and removes the cursor.

Further investigation showed:
The RControl key is used in the Sticky Cam Mode (double tap right shift), to unlock the mouse again while the chat is open.

@lancake found related code in CameraMouseState in function isInMouseControl, reason for this functionality may have been for the old chat system, to adjust your camera while chatting.

AndyP claimed this task.May 5 2017, 11:49 AM
AndyP shifted this object from the S1 Public space to the S3 Starmade space.May 5 2017, 12:33 PM
AndyP changed the task status from "Open" to "In Queue".
AndyP triaged this task as "Normal" priority.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP edited Steps to reproduce. (Show Details)
AndyP edited Tester information (Internal use only). (Show Details)
AndyP changed Affected Gamemode(s) from Singleplayer to Single and Multi.
AndyP changed Last tested (version) from 0.199.353 to 0.199.535.
AndyP changed Category from Ingame GUI/HUD to Input/Controls.
AndyP edited Serverconfig (server.cfg). (Show Details)
AndyP edited Clientconfig (settings.cfg). (Show Details)
AndyP added a subscriber: lancake.
Restricted Application edited projects, added Game Development, Controls; removed Issue Navigation. · View Herald TranscriptMay 5 2017, 12:33 PM
AndyP moved this task from Backlog / Unclassed to Alpha on the Controls board.May 5 2017, 12:34 PM
AndyP changed the title from "Advanced Build mouse cursor does not show up when key reassigned" to "Advanced Build mouse cursor does not show up when key reassigned to RControl".May 5 2017, 12:36 PM
AndyP added a project: Accessibility.
AndyP moved this task from Backlog / Unclassed to Alpha on the Accessibility board.
lancake changed the task status from "In Queue" to "Resolved" by committing Restricted Diffusion Commit.Jun 2 2017, 12:07 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptJun 2 2017, 12:07 PM

-QA Testing-

Fix confirmed.

lancake changed Last tested (version) from 0.199.535 to 0.199.625.Jun 30 2017, 2:58 PM
lancake set First occurrence (version) to 0.199.535.
lancake closed this task as "Closed".Jul 7 2017, 12:34 PM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptJul 7 2017, 12:34 PM